Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.mp4
Interface IMP4Service

All Superinterfaces:
  IStreamableFileService

All Known Implementing Classes:
  MP4Service

    public interface IMP4Service

extends IStreamableFileService

A MP4Service sets up the service and hands out MP4 objects to its callers

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Method Summary
`void` | `setDeserializer(Deserializer deserializer)` Sets the deserializer
`void` | `setSerializer(Serializer serializer)` Sets the serializer

Methods inherited from interface org.red5.io.IStreamableFileService
`canHandle, getExtension, getPrefix, getStreamableFile, prepareFilename, setExtension, setPrefix`

Method Detail

### setSerializer

    void setSerializer(Serializer serializer)

  Sets the serializer

  Parameters:
    `serializer` - Serializer object

### setDeserializer

    void setDeserializer(Deserializer deserializer)

  Sets the deserializer

  Parameters:
    `deserializer` - Deserializer object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project